{% extends 'base.html' %}

{% block content %}
<div class="container mt-5">
    {% if staff %}
        <div class="modal-dialog modal-notify modal-danger" role="document">
        <!--Content-->
        <div class="modal-content">
            <!--Header-->
            <div class="modal-header">
                <p class="heading lead">Delete Loan</p>
            </div>

            <!--Body-->
            <div class="modal-body">
                <div class="text-center">
                    <i class="fas fa-times fa-4x mb-2 animated rotateIn"></i>
                </div>
                <div class="row ">
                    <!-- Grid column -->
                    <div class="col-md-12 offset-md-1 mx-3">
                        <div class="card-title h3-responsive text-capitalize mb-4">
                            Do You Want To Delete The Staff?
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <label class="h6-responsive font-weight-lighter"><strong>Name</strong></label>
                            </div>
                            <div class="col-md-8">
                                <p class="h6-responsive font-weight-light text-capitalize">
                                    {{ staff.first_name }} {{ staff.last_name }}
                                </p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <label class="h6-responsive font-weight-lighter"><strong>Staff ID</strong></label>
                            </div>
                            <div class="col-md-8">
                                <p class="h6-responsive font-weight-light">{{ staff.username }}</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <label class="h6-responsive font-weight-lighter"><strong>Email</strong></label>
                            </div>
                            <div class="col-md-8">
                                <p class="h6-responsive font-weight-light">{{ staff.email }}</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <label class="h6-responsive font-weight-lighter"><strong>Phone No.</strong></label>
                            </div>
                            <div class="col-md-8">
                                <p class="h6-responsive font-weight-light text-capitalize">{{ staff.userprofile.phone_no }}</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <label class="h6-responsive font-weight-lighter"><strong>Location</strong></label>
                            </div>
                            <div class="col-md-8">
                                <p class="h6-responsive font-weight-light">{{ staff.userprofile.location }}</p>
                            </div>
                        </div>
                    </div>
                    <!-- Grid column -->

                </div>
            </div>
            <!--Footer-->
            <div class="modal-footer justify-content-center">
                <a type="button" href="{% url 'view_user' %}?id={{ staff.id }}"
                   class="btn btn-outline-danger waves-effect" data-dismiss="modal">Cancel</a>
                <form method="post">
                    {% csrf_token %}
                    <button type="submit" class="btn btn-danger"><i class="fa fa-trash ml-1 text-white mr-1"></i>Delete</button>
                </form>
            </div>
        </div>
    </div>
    {% else %}
        <p class="note note-danger"><strong>Error: </strong> The staff does not exist.</p>
    {% endif %}
    <!--/.Content-->
</div>

{% endblock %}